// MaxMaterial.h: interface for the CMaxMaterial class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAXMATERIAL_H__47E17ED9_D6A9_42BC_BB7A_82AE070F7BF8__INCLUDED_)
#define AFX_MAXMATERIAL_H__47E17ED9_D6A9_42BC_BB7A_82AE070F7BF8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\Rasterizer\Material.h"

class CMaxKernel;

class CMESHDumpMeshTEP;

class CFileStream;
class CMaxMaterial : public CMaterial  
{
	friend CMaxKernel;
	friend CMESHDumpMeshTEP;

public:
	// texture map
	char*	m_pszTexureName;
	DWORD	m_dwID;

public:
	CMaxMaterial();
	virtual ~CMaxMaterial();

	void Destroy();

	void Write(CFileStream* lpStream);

	bool SelectTexture(LPSTR lpszName);

	// inline
	///////////////////////////////////////////////////////////////////////////
	LPSTR GetTexture()		{ return m_pszTexureName; }

	DWORD GetID()			{ return m_dwID; }
	void  SetID(DWORD dwID)	{ m_dwID = dwID; }
};

#endif // !defined(AFX_MAXMATERIAL_H__47E17ED9_D6A9_42BC_BB7A_82AE070F7BF8__INCLUDED_)
